import { Base, Type } from "igniteui-webcomponents-core";
import { RelativePosition } from "./RelativePosition";
/**
 * @hidden
 */
export declare class RelativePositionInfo extends Base {
    static $t: Type;
    private readonly a;
    private readonly h;
    private readonly f;
    constructor(a: RelativePosition, b: number, c: boolean);
    get b(): RelativePosition;
    get i(): number;
    get g(): boolean;
    static readonly c: RelativePositionInfo;
    static readonly e: RelativePositionInfo;
    static readonly d: RelativePositionInfo;
}
